using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using ISurveyU.Data;


/// <summary>
/// AutoComplete 的摘要说明
/// </summary>
[WebService(Namespace = "ISurveyU/Software/NJU")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class AutoComplete : System.Web.Services.WebService {

    public AutoComplete () {

        //如果使用设计的组件，请取消注释以下行 
        //InitializeComponent(); 
    }

    [System.Web.Services.WebMethod]
 //   [System.Web.Script.Services.ScriptMethod]
    public string[] GetCompletionList(string prefixText, int count)
    {
        TagInfoProvider tip = new TagInfoProvider();
        
            return tip.GetTags(prefixText, count);
        
    }
    
}

